import java.awt.*;
import java.awt.event.*;
import java.util.* ;
import java.util.jar.* ;
import java.io.*;

class OmatomekunGUI extends WindowAdapter implements ActionListener {
	Frame frm = new Frame("Omatomekun 1.5");
	Label lb;
	Dialog alert ;
	Checkbox  jpg, tif, bmp, gif, png ;
	Checkbox  logo ;
	Label srcLabel ;
	Label outLabel ;
	Label yosouSize ;
 	Choice outFormat ;
	String srcDir ;
	TextField tate ;
	TextField yoko ;
	TextField lines ;
	OmatomekunConfig config ;
	 
	public static void main(String args[]) {
		OmatomekunGUI win = new OmatomekunGUI() ;
	}
	//323 183
	public OmatomekunGUI() {
		frm.setSize(261,148) ;
		frm.setLayout(new GridLayout(5,1)) ;
//		frm.setLayout(new FlowLayout()) ;
		
		Panel pa1=new Panel() ;
		Panel pa2=new Panel() ;
		Panel pa3=new Panel() ;
		Panel pa4=new Panel() ;
		Panel pa5=new Panel() ;
		Panel pa6=new Panel() ;		
		pa1.setLayout(new GridLayout(1,2)) ;
		pa2.setLayout(new GridLayout(1,1)) ; 
		pa3.setLayout(new GridLayout(1,1)) ; 
		pa4.setLayout(new GridLayout(1,1)) ; 

		Button load = new Button("fBNgI") ;
		Button run  = new Button("摜Jn") ;
		pa1.add(load) ;
		pa1.add(run ) ;		

		lb = (Label)pa2.add(new Label("(c)2005 aurorae, ACR361")) ;
		lb.setSize(300, 200) ;
		
		yoko = new TextField("340");
		tate = new TextField("240");
		jpg = new Checkbox("jpeg",true);
//		tif = new Checkbox("tiff",true);
		gif = new Checkbox("gif",true);
		png = new Checkbox("png",true);
//		bmp = new Checkbox("bmp",true);
		logo = new Checkbox("logo",true);
		srcLabel = (Label)pa3.add(new Label()) ;
		srcLabel.setText("IF");
		pa3.add(jpg) ;
//		pa3.add(tif) ;
		pa3.add(png) ;
		pa3.add(gif) ;
//		pa3.add(bmp) ;
		pa3.add(logo) ;


		pa5.add(new Label("摜TCY")) ;
		pa5.add(yoko);
		pa5.add(tate);		
		
		Label outLines = (Label)pa5.add(new Label(" s摜")) ;
		lines = new TextField("05");
		pa5.add(lines);
//		yosouSize = (Label)pa6.add(new Label("@\zTCYFH")) ;
		
		outLabel = (Label)pa4.add(new Label()) ;
		outLabel.setText("o̓tH[}bgF");
		
		outFormat = new Choice();
		outFormat.add("jpeg") ;
//		outFormat.add("bmp") ;
//		outFormat.add("tiff") ;
		outFormat.add("png") ;
//		outFormat.add("gif") ;
		pa4.add(outFormat) ;
			
		load.addActionListener(this) ;
		run.addActionListener(this)  ;
		lines.addActionListener(this)  ;
		tate.addActionListener(this)  ;
		yoko.addActionListener(this)  ;
	
		frm.add(pa1);
		frm.add(pa2);
		frm.add(pa5);
		frm.add(pa3);
//		frm.add(pa6);
		frm.add(pa4);
		frm.setVisible(true);
		frm.addWindowListener(this);
		
		config = new OmatomekunConfig() ;
		config.init() ;
		}
	
	public void setString(String e){
		lb.setText(e) ;
		return ;
	}
	
	
	public void actionPerformed(ActionEvent e) {
		if(e.getActionCommand() == "fBNgI"){
			FileDialog fd = new FileDialog(frm , "\[XfBNgI" , FileDialog.LOAD);
			fd.setVisible(true);
			lb.setText(fd.getDirectory()) ;
			srcDir = fd.getDirectory() ;
			config.setSrcDir(srcDir) ;
			return ;
		}
		else{
			if (e.getActionCommand() == "OK") {
			alert.dispose() ;
			return ;
			}
			else if(e.getActionCommand() == "摜Jn"){
				config.setSrcDir(srcDir) ;
				if((Integer.valueOf(tate.getText()).intValue() > 1)) config.setTate(Integer.valueOf(tate.getText()).intValue()) ;
				else										config.setTate(240) ;
				if((Integer.valueOf(yoko.getText()).intValue() > 1)) config.setYoko(Integer.valueOf(yoko.getText()).intValue()) ;
				else																	config.setYoko(320) ;
				if((Integer.valueOf(lines.getText()).intValue() > 0)) config.setLines(Integer.valueOf(lines.getText()).intValue()) ;
				else																	config.setLines(5) ;
				if(gif.getState()){config.setGif(1);}
				else					config.setGif(0);
				if(png.getState()){config.setPng(1);}
				else					config.setPng(0);
				if(jpg.getState()){config.setJpeg(1);}
				else					config.setJpeg(0);
				if(! jpg.getState() && ! png.getState() && !gif.getState()) return ;
				if(logo.getState()){config.setLogo(1);}
				else					config.setLogo(0);				
				config.setOutFormat(outFormat.getSelectedItem());
//				ImgFileNameServer omake ;
//				omake = new ImgFileNameServer(config) ;
				FileDialog fd = new FileDialog(frm , "ۑIF(jpeg)"+(int)(0.00014*2
				*((double)config.getTate() 
				*(double)config.getYoko() ) 
				*(ImgFileNameServer.ImgFileNameServer(config)) + (double)config.getLines()
				)+"KB" , FileDialog.SAVE);
				fd.setVisible(true);
				config.setOutFile(fd.getDirectory()+fd.getFile()) ;
				try{if(fd.getFile().length()<1){
						System.out.println(fd.getFile().length()) ;
						return ;}
				}
				catch(Exception hoge){return ;}
				Omatomekun tmp = new Omatomekun() ;
				tmp.Omatomekun(config) ;
				try{
					tmp.omatomechu(this);
				}
				catch(Exception er){
					errorDlg("G[B炭javaK胁słB\n邽߂ɂ̓t@C̐炷A"+
					"R}hCjart@ĈtH_܂ňړ\n"+
					"java -Xmx512m -jar Omatomekun.jarƓ͂ĂB\n"+
					"mۗʂ𑝂₷Ƃo܂BR[h-4\n"+
					"G[ڍׁF"+er
					);
				}

//				setConfig();
//				omatomekunRun();
			}
				else{
//					lb.setText(e.getActionCommand()) ;
				}
			}
		
	}
	
	public void windowClosing(WindowEvent e) {
		System.exit(0);
	}
	
	private void waring() {
		alert = new Dialog(new Frame() , "G[I") ;
		alert.setLayout(new GridLayout(2 , 1));
		alert.add(new Label("datt@CIĂ܂B"+tif.getState())) ;
		Button but = (Button)alert.add(new Button("OK"));
		but.addActionListener(this) ;
		alert.setSize(300 , 150);
		alert.setVisible(true);

		alert.addWindowListener(this);
	}
	
	public void errorDlg(String e){
		alert = new Dialog(new Frame() , "G[I") ;
		alert.setLayout(new GridLayout(2 , 1));
		alert.add(new TextArea(e)) ;
		Button but = (Button)alert.add(new Button("OK"));
		but.addActionListener(this) ;
		alert.setSize(400 , 600);
		alert.setVisible(true);	
	}
	
}