import java.io.File;
import java.io.IOException;
import java.awt.geom.AffineTransform;
import java.awt.image.AffineTransformOp;
import java.awt.image.BufferedImage;
import java.awt.image.ConvolveOp;
import java.awt.image.Kernel;
import java.io.File;
import javax.imageio.ImageIO;
import java.lang.* ;
import javax.swing.*;
import java.awt.*;
import java.awt.image.*;

public class Omatomekun
{
	static int numberOfLines ;
	static int numberOfImg ;
	static int pixsOfEachImg[] = new int[2];
	static ImgFileNameServer fs ;
	static OmatomekunConfig config ;
	static String errorMessage ;
	
	public static int Omatomekun(OmatomekunConfig e){
		config = e ;
		fs = new ImgFileNameServer() ;
		numberOfImg = fs.ImgFileNameServer(config) ;
		numberOfLines = config.getLines() ;
		pixsOfEachImg[0] = config.getYoko() ;
		pixsOfEachImg[1] = config.getTate() ;
//		System.out.println("hoge->"+numberOfLines ) ;
		return numberOfImg ;
	}
	
	public static void putNumberOfLines(int e){ numberOfLines = e ;}
	public static void putNumberOfImg(int e){ numberOfImg = e ;}
	public static void putPixsOfEachImg(int e[]){
		pixsOfEachImg[0] = e[0];
		pixsOfEachImg[1] = e[1];
	}
	
	
	public static BufferedImage shukusyo(BufferedImage e){
		try{
			BufferedImage dest1 = new BufferedImage( pixsOfEachImg[0] ,
																				pixsOfEachImg[1] ,
																			e.getType() );
			double i = (double)pixsOfEachImg[0]/(double)e.getWidth() ;
			double j = (double)pixsOfEachImg[1]/(double)e.getHeight() ;
			AffineTransformOp atOp = new AffineTransformOp(
									AffineTransform.getScaleInstance(i, j), null);
			atOp.filter(e, dest1);
			return dest1 ;
		}
		catch(Exception f){
			System.out.println("Ȃ`̃t@Co܂Bt@C`m߉B") ;
//			System.out.println("G[ڍ:"+e) ;
			System.out.println("̃t@C̃bNĂ邩AjĂ邱Ƃl܂B\ñXLbvč܂B") ;
//			errorMessage = errorMessage + "file:"+fs.getImgFileName(i)+
//						"͈Ȃ`̗lłB\󂠂܂B\n" ;
			errorMessage = errorMessage + "G[ڍ:"+e+"\n" ;
			return new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );}
	}

	public static BufferedImage shukusyo(BufferedImage e, String fn){
		try{
			BufferedImage dest1 = new BufferedImage( pixsOfEachImg[0] ,
																				pixsOfEachImg[1] ,
																			e.getType() );
			double i = (double)pixsOfEachImg[0]/(double)e.getWidth() ;
			double j = (double)pixsOfEachImg[1]/(double)e.getHeight() ;
			AffineTransformOp atOp = new AffineTransformOp(
									AffineTransform.getScaleInstance(i, j), null);
			atOp.filter(e, dest1);
			return dest1 ;
		}
		catch(Exception f){
			System.out.println("Ȃ`̃t@Co܂Bt@C`m߉B") ;
			System.out.println("G[ڍ:"+e+"\n") ;
			System.out.println("̃t@C̃bNĂ邩AjĂ邱Ƃl܂B\ñXLbvč܂B") ;
			errorMessage = errorMessage + "file:"+fn+
						"͈Ȃ`̗lłB\󂠂܂B\n" ;
			errorMessage = errorMessage + "G[ڍ:"+e +"\n";
			return new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );}
	}

	public static int omatomechu(OmatomekunGUI progress){
		BufferedImage src ;
		BufferedImage out ;
		BufferedImage omatomego ;
		int imaNoTate=0; int imaNoYoko=0;
		errorMessage = "" ;
		
		if(numberOfImg<1){
			errorMessage = errorMessage + "t@C܂B\n" ;
			progress.errorDlg(errorMessage) ;
			System.out.println("t@C܂B"); return 0;}
		
//		System.out.println(numberOfLines+"\n"+numberOfImg) ;
		System.out.println("mےB") ;
		int tmp = (int)(numberOfImg/numberOfLines) ;
//		System.out.println(pixsOfEachImg[0]*numberOfLines + "," +
//																pixsOfEachImg[1]*tmp) ;
		if(((double)numberOfImg/(double)numberOfLines) > (double)tmp){
			tmp ++ ;
		}
		try{
		if(pixsOfEachImg[0]*numberOfLines > 363 && config.getLogo()==1){
			omatomego = new BufferedImage(pixsOfEachImg[0]*numberOfLines,
																pixsOfEachImg[1]*tmp + 12, 
																BufferedImage.TYPE_INT_BGR);
		}
		else{
			omatomego = new BufferedImage(pixsOfEachImg[0]*numberOfLines,
																pixsOfEachImg[1]*tmp, 
																BufferedImage.TYPE_INT_BGR);
		}}
		catch(Exception er){
			progress.errorDlg("G[B炭javaK胁słB\n邽߂ɂ̓t@C̐炷A"+
			"R}hCjart@ĈtH_܂ňړ\n"+
			"java -Xmx512m -jar Omatomekun.jarƓ͂ĂB\n"+
			"mۗʂ𑝂₷Ƃo܂BR[h-5\n"+
			"G[ڍׁF"+er);
			return -1;
		}
		double pr = (double)( 35.0 / ((double) numberOfImg));
		for(int i=0; i<numberOfImg; i++){
			String pro = new String() ;
			pro = "[" + i +"/" +numberOfImg+"]";
			pro = pro + (int)(100.0 * (double)i/(double)numberOfImg) + "%" ;
//			pro = pro + pr ;
			for(int j=0; j<(int)(pr*(double)i) ; j++){
				pro = pro + "|";
			}
			
			pro = pro+"r" ;
			progress.setString(pro) ;

			if(i%numberOfLines == 0 && i != 0){
				imaNoTate = imaNoTate + pixsOfEachImg[1] ;
				imaNoYoko = 0 ;}
			if( fs.getImgFileName(i).indexOf(".jpg",0) >0 || fs.getImgFileName(i).indexOf(".jpeg",0) >0
		 	|| fs.getImgFileName(i).indexOf(".JPG",0) >0 || fs.getImgFileName(i).indexOf(".JPEG",0) >0){
//				|| fs.getImgFileName(i).indexOf(".tiff",0) >0 ||fs.getImgFileName(i).indexOf(".tif",0) >0 || fs.getImgFileName(i).indexOf(".bmp",0) >0){
				try{
					src =  ImageIO.read (new File(fs.getImgFileName(i) ) );}
				catch(Exception e){
					System.out.println("file:"+fs.getImgFileName(i)+"͈Ȃ`̗lłB\󂠂܂B") ;
					System.out.println("G[ڍ:"+e) ;
					src = new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );
					errorMessage = errorMessage + "file:"+fs.getImgFileName(i)+
								"͈Ȃ`̗lłB\󂠂܂B\n" ;
					errorMessage = errorMessage + "G[ڍ:"+e+"\n" ;
				}
			}
			else{
				Image img = Toolkit.getDefaultToolkit().createImage( fs.getImgFileName(i));
				Component com = new Panel();
				MediaTracker mt = new MediaTracker(com);
				mt.addImage(img, 0);
				try{
					mt.waitForID(0);  // ImageSɓǂݍޏ
				}
				catch(InterruptedException e){}
				
 				//   ImageBufferedImageɕϊ鏈
				try{src = new BufferedImage(img.getWidth(null),img.getHeight(null),BufferedImage.TYPE_3BYTE_BGR); } // BufferedImageIuWFNg쐬}
				catch(Exception e){
					System.out.println("file:"+fs.getImgFileName(i)+"͈Ȃ`̗lłB\󂠂܂B") ;
					System.out.println("G[ڍ:"+e) ;
					errorMessage = errorMessage + "file:"+fs.getImgFileName(i)+
								"͈Ȃ`̗lłB\󂠂܂B\n" ;
					errorMessage = errorMessage + "G[ڍ:"+e+"\n" ;
					src = new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );
				}
				Graphics g = src.createGraphics();  // Graphics̎擾
				try{g.drawImage(img,0,0,null);}  // BufferedImageɕ`悳
				catch(Exception er){
					errorMessage = errorMessage + "file:"+fs.getImgFileName(i)+
								"͈Ȃ`̗lłB\󂠂܂B\n" ;
					errorMessage = errorMessage + "G[ڍ:"+er+"\n" ;
				}
			}
			System.out.println("file["+(i+1)+"/"+numberOfImg+"]:"+fs.getImgFileName(i)+"B") ;
			out = shukusyo(src, fs.getImgFileName(i)) ;
			
			for(int tate=0; tate<pixsOfEachImg[1]; tate++){
				for(int yoko=0; yoko<pixsOfEachImg[0]; yoko++){
					omatomego.setRGB(imaNoYoko,imaNoTate, out.getRGB(yoko,tate)) ;
					imaNoYoko++;
//					System.out.println("i="+i+"--byte="+tate*yoko) ;
				}
				imaNoYoko = imaNoYoko - pixsOfEachImg[0] ;
				imaNoTate++;
				
				if(tate%4 == 0) pro = pro.substring(0,pro.length()-1) + "-";
				else if(tate%4 == 1) pro = pro.substring(0,pro.length()-1) + "\\";
				else if(tate%4 == 2) pro = pro.substring(0,pro.length()-1) + "|";
				else if(tate%4 == 3) pro = pro.substring(0,pro.length()-1) + "/";
				
				progress.setString(pro) ;				
			}
			imaNoTate = imaNoTate - pixsOfEachImg[1] ;
			imaNoYoko = imaNoYoko + pixsOfEachImg[0] ;
		}
		imaNoTate = imaNoTate + pixsOfEachImg[1] ;
		if(pixsOfEachImg[0]*numberOfLines > 363 &&config.getLogo()==1){
			Logo e = new Logo();
			BufferedImage logo = e.logo(pixsOfEachImg[0]*numberOfLines) ;
			for(int tate=0; tate<12; tate++){
				imaNoYoko=0;
				for(int yoko=0; yoko<(pixsOfEachImg[0]*numberOfLines); yoko++){
//					System.out.println(yoko+","+imaNoYoko+","+imaNoTate+","+logo.getWidth()+","+logo.getHeight()) ;
					omatomego.setRGB(imaNoYoko,imaNoTate, logo.getRGB(yoko,tate) );
					imaNoYoko++;
				}
				imaNoTate++;
			}
		}
		
		try{ImageIO.write(omatomego, config.getOutFormat(), new File(config.getOutFile()));
			System.out.println("摜B>> "+config.getOutFile()) ;
			progress.setString("摜B>> "+numberOfImg+"̉摜B") ;
		}
		catch(Exception t){
			System.out.println("摜ݎsB" + t) ;
		}
		if(errorMessage != "") progress.errorDlg(errorMessage) ;
		return 0;
	}
	
	public static int omatomechu(){
		BufferedImage src ;
		BufferedImage out ;
		BufferedImage omatomego ;
		int imaNoTate=0; int imaNoYoko=0;
		
		if(numberOfImg<1){
			System.out.println("t@C܂B"); return 0;}
		
//		System.out.println(numberOfLines+"\n"+numberOfImg) ;
		System.out.println("mےB") ;
		int tmp = (int)(numberOfImg/numberOfLines) ;
//		System.out.println(pixsOfEachImg[0]*numberOfLines + "," +
//																pixsOfEachImg[1]*tmp) ;
		if(((double)numberOfImg/(double)numberOfLines) > (double)tmp){
			tmp ++ ;
		}
		if(pixsOfEachImg[0]*numberOfLines > 363){
			omatomego = new BufferedImage(pixsOfEachImg[0]*numberOfLines,
																pixsOfEachImg[1]*tmp + 12, 
																BufferedImage.TYPE_INT_BGR);
		}
		else{
			omatomego = new BufferedImage(pixsOfEachImg[0]*numberOfLines,
																pixsOfEachImg[1]*tmp, 
																BufferedImage.TYPE_INT_BGR);
		}
		double pr = (double)( 20.0 / ((double) numberOfImg));
		for(int i=0; i<numberOfImg; i++){
			String pro = new String() ;
			pro = "prog.: [" + i +"." +numberOfImg+"]";
//			pro = pro + pr ;
			for(int j=0; j<(int)(pr*(double)i) ; j++){
				pro = pro + ">";
			}
//			progress.setString(pro) ;
			if(i%numberOfLines == 0 && i != 0){
				imaNoTate = imaNoTate + pixsOfEachImg[1] ;
				imaNoYoko = 0 ;}
			if( fs.getImgFileName(i).indexOf(".jpg",0) >0 || fs.getImgFileName(i).indexOf(".jpeg",0) >0
			 	|| fs.getImgFileName(i).indexOf(".JPG",0) >0 || fs.getImgFileName(i).indexOf(".JPEG",0) >0
			){
//				|| fs.getImgFileName(i).indexOf(".tiff",0) >0 ||fs.getImgFileName(i).indexOf(".tif",0) >0 || fs.getImgFileName(i).indexOf(".bmp",0) >0){
				try{
					src =  ImageIO.read (new File(fs.getImgFileName(i) ) );}
				catch(Exception e){
					System.out.println("file:"+fs.getImgFileName(i)+"͈Ȃ`̗lłB\󂠂܂B") ;
					System.out.println("G[ڍ:"+e) ;
					src = new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );
				}
			}
			else{
				Image img = Toolkit.getDefaultToolkit().createImage( fs.getImgFileName(i));
				Component com = new Panel();
				MediaTracker mt = new MediaTracker(com);
				mt.addImage(img, 0);
				try{
					mt.waitForID(0);  // ImageSɓǂݍޏ
				}
				catch(InterruptedException e){}
				
 				//   ImageBufferedImageɕϊ鏈
				try{src = new BufferedImage(img.getWidth(null),img.getHeight(null),BufferedImage.TYPE_3BYTE_BGR); } // BufferedImageIuWFNg쐬}
				catch(Exception e){
					System.out.println("file:"+fs.getImgFileName(i)+"͈Ȃ`̗lłB\󂠂܂B") ;
					System.out.println("G[ڍ:"+e) ;
					src = new BufferedImage(pixsOfEachImg[0], pixsOfEachImg[1], BufferedImage.TYPE_INT_BGR );
				}
				Graphics g = src.createGraphics();  // Graphics̎擾
				g.drawImage(img,0,0,null);  // BufferedImageɕ`悳
			}
			System.out.println("file["+(i+1)+"/"+numberOfImg+"]:"+fs.getImgFileName(i)+"B") ;
			out = shukusyo(src) ;
			for(int tate=0; tate<pixsOfEachImg[1]; tate++){
				for(int yoko=0; yoko<pixsOfEachImg[0]; yoko++){
					omatomego.setRGB(imaNoYoko,imaNoTate, out.getRGB(yoko,tate)) ;
					imaNoYoko++;
//					System.out.println("i="+i+"--byte="+tate*yoko) ;
				}
				imaNoYoko = imaNoYoko - pixsOfEachImg[0] ;
				imaNoTate++;
			}
			imaNoTate = imaNoTate - pixsOfEachImg[1] ;
			imaNoYoko = imaNoYoko + pixsOfEachImg[0] ;
		}
		imaNoTate = imaNoTate + pixsOfEachImg[1] ;
		if(pixsOfEachImg[0]*numberOfLines > 363){
			Logo e = new Logo();
			BufferedImage logo = e.logo(pixsOfEachImg[0]*numberOfLines) ;
			for(int tate=0; tate<12; tate++){
				imaNoYoko=0;
				for(int yoko=0; yoko<(pixsOfEachImg[0]*numberOfLines); yoko++){
//					System.out.println(yoko+","+imaNoYoko+","+imaNoTate+","+logo.getWidth()+","+logo.getHeight()) ;
					omatomego.setRGB(imaNoYoko,imaNoTate, logo.getRGB(yoko,tate) );
					imaNoYoko++;
				}
				imaNoTate++;
			}
		}
		
		try{
			ImageIO.write(omatomego, config.getOutFormat(), new File(config.getOutFile()));
//			ImageIO.write(omatomego, config.getOutFormat(), new File("test.jpg"));
			System.out.println("摜B>> "+config.getOutFile()) ;
//			progress.setString("摜B>> "+config.getOutFile()) ;
		}
		catch(Exception t){
			System.out.println("摜ݎsB" + t) ;
		}
		return 0;
	}	
	public static void main( String[] args )
    { // tate yoko lines
		Omatomekun e ;
		OmatomekunConfig f ;
		f= new OmatomekunConfig();
		f.init() ;
		f.setYoko(Integer.valueOf(args[0]).intValue()) ;
		f.setTate(Integer.valueOf(args[1]).intValue()) ;
		f.setLines(Integer.valueOf(args[2]).intValue());
		e = new Omatomekun() ;
		e.Omatomekun(f) ;
//		e.putPixsOfEachImg(f) ;
//		e.setConfig(f) ;
		
		e.omatomechu();
		System.out.println("\nOmatome-Kun͂gp肪Ƃ܂Bsupport : lonmei@gmail.com") ;
		System.out.println("Omatome-KunGPL\tgEFAłBςꍇ̓\[XR[h𓯕ĂB") ;
		System.out.println("copyright lonmei 2004 http://aurorae.s14.xrea.com") ;
	}
}